package com.faraphel.tasks_valider.database.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey
import com.faraphel.tasks_valider.database.entities.base.BaseEntity
import java.time.Instant

@Entity(
    tableName = "validations",
    primaryKeys = [
        "teacher_id",
        "task_id",
        "student_id",
    ],
    foreignKeys = [
        ForeignKey(
            entity = TeacherEntity::class,
            parentColumns = ["id"],
            childColumns = ["teacher_id"],
            onDelete = ForeignKey.CASCADE
        ),
        ForeignKey(
            entity = TaskEntity::class,
            parentColumns = ["id"],
            childColumns = ["task_id"],
            onDelete = ForeignKey.CASCADE
        ),
        ForeignKey(
            entity = StudentEntity::class,
            parentColumns = ["id"],
            childColumns = ["student_id"],
            onDelete = ForeignKey.CASCADE
        ),
    ]
)
data class ValidationEntity (
    @ColumnInfo("date") val date: Instant,

    @ColumnInfo("teacher_id") val teacherId: Long,
    @ColumnInfo("task_id") val taskId: Long,
    @ColumnInfo("student_id") val studentId: Long,
) : BaseEntity()
